# ag - tools for apigo.cloud

## Install

```shell
go install apigo.cc/apigo/ag@latest
```

## Usage

```
tools for apigo.cloud

Usage:
  ag [command] [...]
  ag [short command] [...]

Commands:
  init [i]                            init a new project for empty dir
  init plugin [i p]                   init a new plugin project for empty dir
  run [r]                             will exec `go run .`
  watch run [rr] [...]                run project use gowatch, if project files changed will restart auto, ... args see gowatch help https://github.com/ssgo/tool
  test [t]                            will exec `go test -v .`, will exec into tests if exists tests dir
  watch test [tt] [...]               test project use gowatch, if project files changed will restart auto, ... args see gowatch help https://github.com/ssgo/tool
  tidy [td]                           tidy project, find imported plugins from .js files add import code to jsImports.go, export typescript code for used plugins into "plugins/"
  tags []                             show git tags
  commit [co] comment                 commit git repo and push, comment is need
  tag+ [t+] [version]                 add git tag push, if no new tag specified will use last tag +1

```

